edu.sc.seis.sod.velocity.event

## Class VelocityEvent

- java.lang.Object
- - edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations
  - - edu.sc.seis.sod.velocity.event.VelocityEvent

- All Implemented Interfaces:
    edu.iris.Fissures.AuditSystemAccess, edu.iris.Fissures.IfEvent.EventAccess, edu.iris.Fissures.IfEvent.EventAccessOperations, edu.iris.Fissures.IfEvent.EventDC, edu.iris.Fissures.IfEvent.EventDCOperations, edu.iris.Fissures.IfEvent.EventMgr, edu.iris.Fissures.IfEvent.EventMgrOperations, edu.sc.seis.fissuresUtil.cache.CorbaServerWrapper, java.io.Serializable, org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity

      public class VelocityEvent
      extends edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations

      `event`

    - ### Fields inherited from interface edu.sc.seis.fissuresUtil.cache.CorbaServerWrapper

      `EVENTACCESS_TYPE, EVENTDC_TYPE, EVENTFINDER_TYPE, NETACCESS_TYPE, NETDC_TYPE, NETFINDER_TYPE, PLOTTABLEDC_TYPE, SEISDC_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent event)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.omg.CORBA.Object` | `_get_component()`
    `org.omg.CORBA.InterfaceDef` | `_get_interface()`
    `java.lang.String` | `getAllMagnitudes()`
    `java.lang.String` | `getAllMagnitudes(java.lang.String seperator)`
    `java.lang.String` | `getAz(VelocityStation sta)`
    `java.lang.String` | `getBaz(VelocityStation sta)`
    `edu.sc.seis.fissuresUtil.cache.CacheEvent` | `getCacheEvent()`
    `java.lang.String` | `getCatalog()`
    `java.lang.String` | `getContributor()`
    `int` | `getDbid()`
    `int` | `getDbId()` just because I can never remember if it is i or I
    `java.lang.String` | `getDepth()`
    `java.lang.String` | `getDepth(java.lang.String format)`
    `java.lang.String` | `getDepthValue()`
    `java.lang.String` | `getDistance(VelocityStation sta)`
    `java.lang.String` | `getDistanceDeg(VelocityStation sta)`
    `java.lang.String` | `getElevation()`
    `java.lang.String` | `getElevation(java.lang.String format)`
    `java.lang.String` | `getFilizedTime()`
    `java.lang.Float` | `getFloatLatitude()`
    `java.lang.Float` | `getFloatLongitude()`
    `int` | `getId()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLatitude(java.lang.String format)`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getLongitude(java.lang.String format)`
    `java.lang.String` | `getMagnitude()`
    `java.lang.String` | `getMagnitudeContributor()`
    `java.lang.String` | `getMagnitudeType()`
    `java.lang.String` | `getMagnitudeValue()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getOrientedLatitude()`
    `java.lang.String` | `getOrientedLongitude()`
    `edu.iris.Fissures.IfEvent.Origin[]` | `getOrigins()`
    `java.lang.String` | `getParam(java.lang.String name)`
    `int[]` | `getPosition()`
    `edu.iris.Fissures.event.OriginImpl` | `getPreferred()`
    `java.lang.String` | `getRegion()`
    `java.lang.String` | `getRegionNumber()`
    `java.lang.String` | `getTime()`
    `java.lang.String` | `getTime(java.lang.String format)`
    `java.lang.String` | `getTimePrecise()`
    `java.lang.String` | `getURL()`
    `boolean` | `hasRegion()`
    `static java.lang.String` | `makeDateIdentifier(VelocityEvent event)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `parseDateIdentifier(java.lang.String eqIdentifier)`
    `void` | `setPosition(int[] position)`
    `java.lang.String` | `toXML()`
    `static VelocityEvent` | `wrap(edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `static VelocityEvent[]` | `wrap(edu.iris.Fissures.IfEvent.EventAccessOperations[] evs)`
    `static VelocityEvent[]` | `wrap(java.util.List evs)`

    - ### Methods inherited from class edu.sc.seis.fissuresUtil.cache.ProxyEventAccessOperations

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override, a_channel_finder, a_factory, a_finder, a_writeable, close, equals, get_attributes, get_audit_trail_for_origin, get_audit_trail, get_locators, get_origin, get_origins, get_preferred_origin, getCorbaObject, getEventAccess, getFullName, getOrigin, getServerDNS, getServerName, getServerType, getWrappedEventAccess, getWrappedEventAccess, hasCorbaObject, hashCode, parm_svc, reset, setEventAccess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityEvent

          public VelocityEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent event)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### hasRegion

          public boolean hasRegion()

    - #### getRegion

          public java.lang.String getRegion()

    - #### getRegionNumber

          public java.lang.String getRegionNumber()

    - #### getMagnitude

          public java.lang.String getMagnitude()

    - #### getAllMagnitudes

          public java.lang.String getAllMagnitudes()

    - #### getAllMagnitudes

          public java.lang.String getAllMagnitudes(java.lang.String seperator)

    - #### getMagnitudeValue

          public java.lang.String getMagnitudeValue()

    - #### getMagnitudeType

          public java.lang.String getMagnitudeType()

    - #### getMagnitudeContributor

          public java.lang.String getMagnitudeContributor()

    - #### getLatitude

          public java.lang.String getLatitude()

    - #### getLongitude

          public java.lang.String getLongitude()

    - #### getLatitude

          public java.lang.String getLatitude(java.lang.String format)

    - #### getLongitude

          public java.lang.String getLongitude(java.lang.String format)

    - #### getFloatLatitude

          public java.lang.Float getFloatLatitude()

    - #### getFloatLongitude

          public java.lang.Float getFloatLongitude()

    - #### getOrientedLatitude

          public java.lang.String getOrientedLatitude()

    - #### getOrientedLongitude

          public java.lang.String getOrientedLongitude()

    - #### getDepth

          public java.lang.String getDepth()

    - #### getDepthValue

          public java.lang.String getDepthValue()

    - #### getDepth

          public java.lang.String getDepth(java.lang.String format)

    - #### getElevation

          public java.lang.String getElevation()

    - #### getElevation

          public java.lang.String getElevation(java.lang.String format)

    - #### getTime

          public java.lang.String getTime()

    - #### getTimePrecise

          public java.lang.String getTimePrecise()

    - #### getFilizedTime

          public java.lang.String getFilizedTime()

    - #### getTime

          public java.lang.String getTime(java.lang.String format)

    - #### getCatalog

          public java.lang.String getCatalog()

    - #### getContributor

          public java.lang.String getContributor()

    - #### getId

          public int getId()

    - #### getDbId

          public int getDbId()

      just because I can never remember if it is i or I

    - #### getDbid

          public int getDbid()

    - #### getPreferred

          public edu.iris.Fissures.event.OriginImpl getPreferred()
                                                          throws edu.iris.Fissures.IfEvent.NoPreferredOrigin

      Throws:
        `edu.iris.Fissures.IfEvent.NoPreferredOrigin`

    - #### getOrigins

          public edu.iris.Fissures.IfEvent.Origin[] getOrigins()

    - #### getParam

          public java.lang.String getParam(java.lang.String name)

    - #### getDistanceDeg

          public java.lang.String getDistanceDeg(VelocityStation sta)

    - #### getDistance

          public java.lang.String getDistance(VelocityStation sta)

    - #### getAz

          public java.lang.String getAz(VelocityStation sta)

    - #### getBaz

          public java.lang.String getBaz(VelocityStation sta)

    - #### setPosition

          public void setPosition(int[] position)

    - #### getPosition

          public int[] getPosition()

    - #### toXML

          public java.lang.String toXML()
                                 throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getURL

          public java.lang.String getURL()

    - #### getCacheEvent

          public edu.sc.seis.fissuresUtil.cache.CacheEvent getCacheEvent()

    - #### makeDateIdentifier

          public static java.lang.String makeDateIdentifier(VelocityEvent event)

    - #### parseDateIdentifier

          public static edu.iris.Fissures.model.MicroSecondDate parseDateIdentifier(java.lang.String eqIdentifier)
                                                                             throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### wrap

          public static VelocityEvent[] wrap(java.util.List evs)

    - #### wrap

          public static VelocityEvent[] wrap(edu.iris.Fissures.IfEvent.EventAccessOperations[] evs)

    - #### wrap

          public static VelocityEvent wrap(edu.iris.Fissures.IfEvent.EventAccessOperations event)

    - #### _get_interface

          public org.omg.CORBA.InterfaceDef _get_interface()

    - #### _get_component

          public org.omg.CORBA.Object _get_component()